Page MenuHomePhabricator

Should be possible to disable language button on certain Wikis
Closed, ResolvedPublic1 Story Points

Description

Many wikis do not have interwiki language links setup.
This includes 3rd parties, wikitech and mediawiki.org

Thus the new language switcher should be feature flagged, disabled by default and configured on.
This wasn't a problem with the old language switcher as if no languages were available it would be hidden, but with the new language switcher it is always shown.

You can demonstrate this by visiting any page in the mobile beta. Every page shows a disabled language switcher button.

Acceptance Criteria

  • Ensure this does not interfere with EventLogging logic for Main Page (T131093)
  • The feature flag and its default value are documented on-wiki

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 17 2016, 5:28 PM
Jdlrobson raised the priority of this task from Normal to Needs Triage.Mar 17 2016, 5:28 PM
Jdlrobson added subscribers: KHammerstein, Amire80.

@Nirzar if the button is disabled on a high percentage of pages but not actionable it arguably should be (e.g. allow people to start translations/invoke ContentTranslation cc @Amire80 ).

We had similar issues with the lead photo upload button so you may want to talk to @KHammerstein if you haven't already.

Nemo_bis added a comment.EditedMar 19 2016, 4:13 PM

What is the "language button"? Definition please.

It looks like you might want to respect $wgULSPosition.

[...] wikis do not have interwiki language links setup. [...] wikitech and mediawiki.org

This is not correct.

It's tricky because we bundle variants with the list of languages. Even if a wiki may not have interwiki language links it maybe available in other variants of the language.

What is the "language button"? Definition please.

It's the button you see to the right of the Title and the left of the watchstar on https://en.m.wikipedia.org/wiki/Sun?mobileaction=beta.

dr0ptp4kt set the point value for this task to 1.Mar 28 2016, 4:35 PM
Jdlrobson removed bmansurov as the assignee of this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson triaged this task as Normal priority.Mar 28 2016, 10:16 PM

Change 280498 had a related patch set uploaded (by Bmansurov):
Allow hiding the language button

https://gerrit.wikimedia.org/r/280498

Allowing time for @phuedx and @jhobs to comment on what the default value should be in case we want to change it before signing off. To remind myself... If we want to default it to false, we'll need to write a config change as well (currently not needed)

Change 280498 merged by jenkins-bot:
Allow hiding the language button

https://gerrit.wikimedia.org/r/280498

bmansurov removed bmansurov as the assignee of this task.Mar 30 2016, 9:54 PM

I think default should be true. Encourages 3rd parties to think in multi-language and as long as it's well-documented on how to turn it off, I see no reason not to have it on by default.

I'm OK with this feature being enabled by default; indeed, the "Read in another language" was introduced enabled by default.

phuedx updated the task description. (Show Details)Mar 31 2016, 9:11 AM
phuedx updated the task description. (Show Details)

I've updated the AC to include documenting the feature flag (MinervaAlwaysShowLanguageButton) on-wiki. I don't feel that this affects our original estimate.

phuedx updated the task description. (Show Details)Mar 31 2016, 9:19 AM
Jdlrobson closed this task as Resolved.Apr 6 2016, 4:39 PM
Jdlrobson claimed this task.